# FoundationClasses
TKernel
Storage

# Storage_HSeqOfPersistent Class Reference

`#include <Storage_HSeqOfPersistent.hxx>`

Inheritance diagram for Storage_HSeqOfPersistent:

[legend]

## Public Member Functions

| Storage_HSeqOfPersistent ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Standard_Persistent)&anItem)
Standard_EXPORT void | Append (const Handle(Storage_HSeqOfPersistent)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Standard_Persistent)&anItem)
Standard_EXPORT void | Prepend (const Handle(Storage_HSeqOfPersistent)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Standard_Persistent)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Storage_HSeqOfPersistent)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Standard_Persistent)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Storage_HSeqOfPersistent)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Storage_HSeqOfPersistent | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Standard_Persistent)&anItem)
Standard_EXPORT const Handle_Standard_Persistent & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Standard_Persistent & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Storage_SeqOfPersistent & | Sequence () const
Storage_SeqOfPersistent & | ChangeSequence ()
Standard_EXPORT Handle_Storage_HSeqOfPersistent | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Storage_SeqOfPersistent | mySequence

## Constructor & Destructor Documentation

Storage_HSeqOfPersistent::Storage_HSeqOfPersistent | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Storage_HSeqOfPersistent::Append | ( | const Handle(Storage_HSeqOfPersistent)& | aSequence | ) |

Standard_EXPORT void Storage_HSeqOfPersistent::Append | ( | const Handle(Standard_Persistent)& | anItem | ) |

Storage_SeqOfPersistent& Storage_HSeqOfPersistent::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Standard_Persistent& Storage_HSeqOfPersistent::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Storage_HSeqOfPersistent::Clear | ( |  | ) |

Standard_EXPORT void Storage_HSeqOfPersistent::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Storage_HSeqOfPersistent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Storage_HSeqOfPersistent::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Storage_HSeqOfPersistent)& | aSequence
| ) |

Standard_EXPORT void Storage_HSeqOfPersistent::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Standard_Persistent)& | anItem
| ) |

Standard_EXPORT void Storage_HSeqOfPersistent::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Storage_HSeqOfPersistent)& | aSequence
| ) |

Standard_EXPORT void Storage_HSeqOfPersistent::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Standard_Persistent)& | anItem
| ) |

Standard_Boolean Storage_HSeqOfPersistent::IsEmpty | ( |  | ) | const

Standard_Integer Storage_HSeqOfPersistent::Length | ( |  | ) | const

Standard_EXPORT void Storage_HSeqOfPersistent::Prepend | ( | const Handle(Storage_HSeqOfPersistent)& | aSequence | ) |

Standard_EXPORT void Storage_HSeqOfPersistent::Prepend | ( | const Handle(Standard_Persistent)& | anItem | ) |

Standard_EXPORT void Storage_HSeqOfPersistent::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Storage_HSeqOfPersistent::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Storage_HSeqOfPersistent::Reverse | ( |  | ) |

const Storage_SeqOfPersistent& Storage_HSeqOfPersistent::Sequence | ( |  | ) | const

Standard_EXPORT void Storage_HSeqOfPersistent::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Standard_Persistent)& | anItem
| ) |

Standard_EXPORT Handle_Storage_HSeqOfPersistent Storage_HSeqOfPersistent::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Storage_HSeqOfPersistent Storage_HSeqOfPersistent::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Standard_Persistent& Storage_HSeqOfPersistent::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Storage_SeqOfPersistent Storage_HSeqOfPersistent::mySequence `[private]`

The documentation for this class was generated from the following file:

- Storage_HSeqOfPersistent.hxx